# eachEntry

abstract fun eachEntry(mergeAction: Action<in ManifestMergeDetails>): ManifestMergeSpec

Adds an action to be applied to each key-value tuple in a merge operation. If multiple merge paths are specified, the action is called for each key-value tuple of each merge operation. The given action is called with a org.gradle.api.java.archives.ManifestMergeDetails as its parameter. Actions are executed in the order added.

#### Return

this

#### Parameters

mergeAction

A merge action to be executed.

abstract fun eachEntry(@DelegatesTo(value = ManifestMergeDetails::class) mergeAction: Closure<out Any>): ManifestMergeSpec

Adds an action to be applied to each key-value tuple in a merge operation. If multiple merge paths are specified, the action is called for each key-value tuple of each merge operation. The given closure is called with a org.gradle.api.java.archives.ManifestMergeDetails as its parameter. Actions are executed in the order added.

#### Return

this

#### Parameters

mergeAction

The action to execute.